/*  GNOME Clipboard Daemon
 *  Copyright (C) 2003  Hongli Lai <h.lai@chello.nl>
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of Red Hat not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  Red Hat makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * RED HAT DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL RED HAT
 * BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
 * OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef _SELECTION_DATA_LIST_H_
#define _SELECTION_DATA_LIST_H_


#include <gtk/gtk.h>

/* Simple wrapper structures for saving clipboard data */


typedef struct _SelectionDataEntry SelectionDataEntry;
typedef struct _SelectionDataList SelectionDataList;


struct _SelectionDataEntry
{
	gchar *name;
	GtkSelectionData *data;
};


SelectionDataEntry *selection_data_entry_new (gchar *name, GtkSelectionData *data);
void selection_data_entry_free (SelectionDataEntry *entry);


struct _SelectionDataList
{
	GList *entries;
};


SelectionDataList *selection_data_list_new (void);
void selection_data_list_free (SelectionDataList *list);

void selection_data_list_add (SelectionDataList *list, gchar *atom_name, GtkSelectionData *data);
GtkTargetEntry *selection_data_list_make_targets (SelectionDataList *list, guint *n_targets);


#endif /* _SELECTION_DATA_LIST_H_ */
